Skip to content

Aritma Banking API (v3)

Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/banking/v3/openapi/bankservice-openapi
Open Banking API
https://bankservice.zdata.no
Open Banking API (Dev)
https://bankservicedemo.zdata.no

Account

Operations

AccountGroup

Operations

Balance

Operations

Company

Operations

EventGridDeadLetter

Operations

EventGridSubscription

Operations

Onboarding

Operations

Payment

Operations

Receivable

Operations

Recipients

Operations

Services

Operations

Statement

Operations

User

Operations

Gets user details

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Path
userIdstring(uuid)required

User id

No request payload

Responses

OK

Body
idstringnon-emptyrequired

User id

companyIdstring(uuid)required

Company id

usernamestringnon-emptyrequired

Username

emailstringnon-emptyrequired

Users email

namestringnon-emptyrequired

Name

phoneNumberstringnon-emptyrequired

Phone number

activeUserboolean
accountingSystemUserstring or null

Username in accounting system

Response
{
  "Id": "123321123",
  "CompanyId": "9739db9e-0991-48f9-ac65-d0e630332027",
  "Username": "duck@duck.com",
  "Email": "duck@duck.com",
  "Name": "Duck corp",
  "PhoneNumber": "52 52 52 52",
  "ActiveUser": true
}

POST new user

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Body

Update model

companyIdstring(uuid)required

Company id to associate with user

Example: "C32E6B5B-CA63-48D0-91AB-D5C6CB781737"
usernamestringnon-emptyrequired

Username

Example: "user1@mycompany.com"
emailstring(email)non-emptyrequired

Users email

Example: "user1@mycompany.com"
namestringnon-emptyrequired

Name

Example: "Ola Nordmann"
phoneNumberstringnon-emptyrequired

Phone number

Example: "90001337"
passwordstring or null

Password (optional), if not set user will receive email to complete registration

Example: "sdf35asty4q3g5ehgg%¤"
{ "companyId": "C32E6B5B-CA63-48D0-91AB-D5C6CB781737", "username": "user1@mycompany.com", "email": "user1@mycompany.com", "name": "Ola Nordmann", "phoneNumber": "90001337", "password": "sdf35asty4q3g5ehgg%¤" }

Responses

User created

Body
string(uuid)
Response
No response example

Sends mail to user for password reset

Request

Security
client_credentials(Required scopes:
openid
profile
bankservice
)
or implicit(Required scopes:
openid
profile
bankservice
)
or client_credentials_dev(Required scopes:
openid
profile
bankservice
)
or implicit_dev(Required scopes:
openid
profile
bankservice
)
Body

Model for password reset

usernamestringnon-emptyrequired

Username

{ "Username": "myusername" }

Responses

OK